- Qt 6.11
- Qt Qml
- CMake Global Variables in Qt6 Qml
- QT_QMLLINT_CONTEXT_PROPERTY_DUMP
- Qt 6.11.2 Reference Documentation

# QT_QMLLINT_CONTEXT_PROPERTY_DUMP

Enables dumping of context properties in lint targets.

This variable was introduced in Qt 6.11.

When the `QT_QMLLINT_CONTEXT_PROPERTY_DUMP` variable is enabled, linting targets created by qt_add_qml_module will run qmlcontextpropertydump before running qmllint. This allows qmllint to warn on the usage of context properties in QML.

To enable this feature, set the `QT_QMLLINT_CONTEXT_PROPERTY_DUMP` variable using one of the following methods:

- Pass the option to the CMake executable:

       -DQT_QMLLINT_CONTEXT_PROPERTY_DUMP=ON

- Add the setting to your `CMakeLists.txt` file before the first call to qt_add_qml_module:

       set(QT_QMLLINT_CONTEXT_PROPERTY_DUMP ON)